<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.2
 *
 * Copyright (C) 2006-2015  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_mque.inc.php");
include_once("../inc/fic_taxes.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$td = $_GET['td'];
$coderech = $_GET['code'];

$pbm_tpf = FALSE;
$tpfdesact = TRUE;

if ($coderech <> "") {
    $row = lit_enr_tpf($coderech);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);
        if ((tpf_modifiable($coderech, TRUE) == FALSE) AND ($td <> "del"))
            $td = "view";
        $tpfdesact = tpf_desactivable($coderech, TRUE);
    } else
        $pbm_tpf = TRUE;
} else {
    if ($td <> "add") $pbm_tpf = TRUE;
}

$titre = '';
if ($pbm_tpf == FALSE) {
    $codeadev = give_dev_codea_defaut($_SESSION["lng"], TRUE);

    switch ($td) {
        case "add" :
            $titre = _("CREATION TAXE");
            $tpf_codetva = give_code_tva_default(TRUE);
            $tpf_actif = TRUE;
            break;
        case "edit" :
            $titre = _("MODIFICATION TAXE");
            break;
        case "view" :
            $titre = _("VISUALISATION TAXE");
            break;
        case "del" :
            $titre = _("SUPPRESSION TAXE");
            break;
        default :
            $pbm_tpf = TRUE;
            break;
    }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-type=" content="text/html; charset=utf-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche Taxe Parafiscale"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script language="javascript">
        <!--
        var tab_champ = ["nom:code ; format:alphanum ; req:Y ; txt:<?PHP echo _("Code"); ?> ; lmn:1 ; lmx:10; stok:frmok ; stbad:frmbad",
            "nom:codema ; format:liste ; req:Y ; txt:<?PHP echo _("Organisme"); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
            "nom:desc ; format:txt ; req:Y ; txt:<?PHP echo _("Libellé"); ?>; lmn:1 ; lmx:100; stok:frmok ; stbad:frmbad",
            "nom:valeur; format:reel_ns ; req:N ; txt:<?PHP echo _("Valeur"); ?>; lmx:10; stok:frmok ; stbad:frmbad",
            "nom:tva; format:liste ; req:Y ; txt:<?PHP echo _("TVA"); ?>; vmn:1 ; stok:frmok ; stbad:frmbad"];
        //-->
    </script>

    <?PHP if ($pbm_tpf == FALSE) { ?>
        <script type="text/javascript">
            <!--
            $(function () {
                $("#code").Setcase({caseValue: 'upper', changeonFocusout: true});
                $("#desc").Setcase({caseValue: 'upper', changeonFocusout: true});
            });

            function init_all() {
                init_Body();
                init_fdeci('valeur', <?PHP echo $_SESSION['num_nbdec']; ?>);
                chk_global_basepour('basepour', 'global');
                chk_pour('pour', 'sympour', 'pas_sympour');
                chk_asaisir('asaisir', 'valeur', <?PHP echo $_SESSION['num_nbdec']; ?>);
                <?php
                 switch ($td)
                 {
                    case "add":
                        echo "init_chk_global_tva('tva','global');";
                        echo "init_chk_global_typmt('typmt','global');";
                        echo "init_chk_global('global','tva','typmt','basepour');";
                        echo "init_chk_pour('pour','sympour','pas_sympour');";
                        echo "init_chk_asaisir('asaisir','valeur', ".$_SESSION['num_nbdec'].");";
                        echo "init_valid_form('enr','tpf_maj','".$_SESSION['date_fmtshort']."',tab_champ,'','');";
                        break;
                    case "edit":
                        echo "readonly_id('code',false);";
                        echo "init_chk_global_tva('tva','global');";
                        echo "init_chk_global_typmt('typmt','global');";
                        echo "init_chk_global('global','tva','typmt','basepour');";
                        echo "init_chk_pour('pour','sympour','pas_sympour');";
                        echo "init_chk_asaisir('asaisir','valeur', ".$_SESSION['num_nbdec'].");";
                        echo "init_valid_form('enr','tpf_maj','".$_SESSION['date_fmtshort']."',tab_champ,'','');";
                        if ($tpfdesact == FALSE)
                            echo "readonly_id('actif',false);";
                        break;
                    case "del":
                        echo "readonly_all();";
                        echo "warn_del('');";
                        break;
                    case "view":
                        echo "readonly_all();";
                        break;

                 }
                ?>
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>

    <?PHP } ?>
</head>

<body>
<?PHP
include_once("../inc/entete.inc.php");
if ($pbm_tpf == FALSE) {
    cre_ent_form($titre, 'tpf_lst.php?ta=m', $_SERVER['HTTP_REFERER'], '');
    ?>
    <form name="tpf_maj" id="tpf_maj" method="post" action="tpf_enr.php">
        <input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
        <input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
        <input name="nbutton" type="hidden" id="nbutton" value="">
        <table width="100%" border="0">
            <tr>
                <td width="10%" class="rubfrm" id="f_code" align="right"><?PHP echo _("Code"); ?></td>
                <td width="47%">
                    <input name="code" type="text" id="code" value="<?PHP echo $tpf_code ?>" size="10">
                    <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo _("Champ obligatoire"); ?>">
                </td>
            </tr>
            <tr>
                <td width="160" class="rubfrm" id="f_codema" align="right"><?PHP echo _("Organisme collecteur"); ?></td>
                <td>
                    <?PHP
                    $tab_first_options = [];
                    $tab_first_options ['*'] = _("Toutes les marques");
                    $tab_mque = give_tab_marques("oc");
                    cre_select_tab('codema', 'codema', $tab_mque, 'mque_code', 'mque_ste', '', $tpf_codema, '', _("-- Faites votre choix --"), 1, FALSE, '', _("-- Inconnu --"), TRUE, TRUE, FALSE, $tab_first_options);
                    ?>
                    <div
                        class="annot_petit_it"><?PHP echo _("L'organisme collecteur est utilisé pour les éco taxes"); ?></div>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_desc" align="right"><?PHP echo _("Libellé"); ?></td>
                <td><input name="desc" type="text" id="desc" value="<?PHP echo $tpf_desc; ?>" size="100">
                    <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo _("Champ obligatoire"); ?>"></td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_tva" align="right"><?PHP echo _("TVA"); ?></td>
                <td>
                    <?PHP
                    $tab_first_options = [];
                    $tab_first_options ["-2"] = _("Sans TVA");
                    $tab_first_options ["-1"] = _("TVA de l'article");

                    // création de la liste des TVA
                    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
                    $rech = "SELECT * FROM `" . TBTVA . "` WHERE tva_actif=1 ORDER BY tva_desc";
                    $rows = $db->get_results($rech, ARRAY_A);
                    cre_select_tab('tva', 'tva', $rows, 'tva_code', 'tva_desc', '', $tpf_codetva, '', _("-- Faites votre choix --"), 1, FALSE, '', '', TRUE, TRUE, FALSE, $tab_first_options);

                    echo '<div class="annot_petit_it">';
                    echo _("'Sans TVA' : aucun taux de TVA sur la taxe parafiscale");
                    echo '<br />' . _("'TVA de l'article' : reprend la TVA de l'article");
                    echo '<br />' . _("Sinon, sa propre TVA");
                    echo '</div>';
                    ?>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_valeur" align="right">
                    <span id="txtpour2" style="display:none"><?PHP echo _("Valeur"); ?></span>
                    <span id="pas_txtpour2" style="display:block"><?PHP echo _("Valeur TTC"); ?></span>
                </td>
                <td>
                    <input name="valeur" type="text" id="valeur" style="text-align:right"
                           value="<?PHP echo $tpf_valeur; ?>" size="10">
                    <span id="sympour" style="visibility:visible" align="left"><?PHP echo _("%"); ?></span>
                    <span id="pas_sympour" style="visibility:visible"
                          align="left"><?PHP echo trim(give_dev_ISO()); ?></span>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_pour" align="right"><?PHP echo _("Pourcentage ?"); ?></td>
                <td>
                    <?PHP
                    cre_select('pour', 'pour', $non_oui, (int)$tpf_pour);
                    echo '<div class="annot_petit_it">';
                    echo _("'Oui' : la valeur est un pourcentage");
                    echo '<br />' . _("'Non' : la valeur est un montant");
                    echo '</div>';
                    ?>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_basepour" align="right"><?PHP echo _("Base pourcentage ?"); ?></td>
                <td>
                    <?PHP
                    $tab_basepour = [];
                    $tab_pour[0] = _("Total des produits sans les taxes");
                    $tab_pour[1] = _("Total des produit avec les taxes");

                    cre_select('basepour', 'basepour', $tab_pour, (int)$tpf_basepour);
                    echo '<div class="annot_petit_it">';
                    echo _("Uniquement pour les taxes globales avec pourcentage");
                    echo '</div>';
                    ?>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_asaisir" align="right"><?PHP echo _("A saisir ?"); ?></td>
                <td>
                    <?PHP
                    cre_select('asaisir', 'asaisir', $non_oui, (int)$tpf_asaisir);
                    echo '<div class="annot_petit_it">';
                    echo _("'Oui' : la valeur sera à saisir (soit dans les fiches articles, soit dans les détails interventions, en fonction de 'Global')");
                    echo '<br />' . _("'Non' : la valeur sera celle de cette fiche");
                    echo '</div>';
                    ?>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_typmt" align="right"><?PHP echo _("Valeur forfaitaire ?"); ?></td>
                <td>
                    <?PHP
                    cre_select('typmt', 'typmt', $non_oui, (int)$tpf_typmt);
                    echo '<div class="annot_petit_it">';
                    echo _("'Oui' : la valeur sera valable quelque soit le nombre d'unités de vente");
                    echo '<br />' . _("'Non' : la valeur sera proportionnelle au nombre d'unités de vente");
                    echo '</div>';
                    ?>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_global" align="right"><?PHP echo _("Global ?"); ?></td>
                <td>
                    <?PHP
                    cre_select('global', 'global', $non_oui, (int)$tpf_global);
                    echo '<div class="annot_petit_it">';
                    echo _("'Oui' : la valeur sera utilisée en fin de liste produits sur les interventions");
                    echo '<br />' . _("'Non' : la valeur sera utilisée dans les fiches articles");
                    echo '</span>';
                    ?>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_actif" align="right"><?PHP echo _("Active"); ?></td>
                <td>
                    <?PHP
                    cre_select('actif', 'actif', $non_oui, (int)$tpf_actif);
                    echo '<div class="annot_petit_it">';
                    echo _("Vous ne pouvez pas désactiver une taxe déjà utilisée dans une intervention non close");
                    echo '<br />';
                    echo _("Si vous désactivez une taxe, elle sera supprimée de toutes les fiches articles l'utilisant");
                    echo '</span>';
                    ?>
                </td>
            </tr>
        </table>
        <p align="center">
            <?PHP
            switch ($td)
            {
                case "add" :
                case "edit" :
                    echo '<input name="enr" type="button" class="bton_std" id="enr" value="'._("Enregistrer").'">';
                    echo '<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="'._("Réinitialiser").'">';
                    break;
                case "del" :
                    echo '<input name="del" type="submit" class="bton_std" id="del" value="'._("Supprimer").'">';
                    break;
            }
            ?>
        </p>
    </form>
<?PHP
} else
    pop_ret_auto(_("Problème de paramètres"), 'warn', "tpf_lst.php?ta=m");
include_once("pied.php");
?>
</body>
</html>